io.etcd.jetcd.api

## Class WatchCreateRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>
      - - io.etcd.jetcd.api.WatchCreateRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, WatchCreateRequestOrBuilder, Cloneable

Enclosing class:
  WatchCreateRequest

    public static final class WatchCreateRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>
    implements WatchCreateRequestOrBuilder

Protobuf type `etcdserverpb.WatchCreateRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`WatchCreateRequest.Builder` `addAllFilters(Iterable<? extends WatchCreateRequest.FilterType> values)` filters filter the events at server side before it sends back to the watcher.
`WatchCreateRequest.Builder` `addAllFiltersValue(Iterable<Integer> values)` filters filter the events at server side before it sends back to the watcher.
`WatchCreateRequest.Builder` `addFilters(WatchCreateRequest.FilterType value)` filters filter the events at server side before it sends back to the watcher.
`WatchCreateRequest.Builder` `addFiltersValue(int value)` filters filter the events at server side before it sends back to the watcher.
`WatchCreateRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`WatchCreateRequest` `build()`
`WatchCreateRequest` `buildPartial()`
`WatchCreateRequest.Builder` `clear()`
`WatchCreateRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`WatchCreateRequest.Builder` `clearFilters()` filters filter the events at server side before it sends back to the watcher.
`WatchCreateRequest.Builder` `clearKey()` key is the key to register for watching.
`WatchCreateRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`WatchCreateRequest.Builder` `clearPrevKv()` If prev_kv is set, created watcher gets the previous KV before the event happens.
`WatchCreateRequest.Builder` `clearProgressNotify()` progress_notify is set so that the etcd server will periodically send a WatchResponse with no events to the new watcher if there are no recent events.
`WatchCreateRequest.Builder` `clearRangeEnd()` range_end is the end of the range [key, range_end) to watch.
`WatchCreateRequest.Builder` `clearStartRevision()` start_revision is an optional revision to watch from (inclusive).
`WatchCreateRequest.Builder` `clone()`
`WatchCreateRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`WatchCreateRequest.FilterType` `getFilters(int index)` filters filter the events at server side before it sends back to the watcher.
`int` `getFiltersCount()` filters filter the events at server side before it sends back to the watcher.
`List<WatchCreateRequest.FilterType>` `getFiltersList()` filters filter the events at server side before it sends back to the watcher.
`int` `getFiltersValue(int index)` filters filter the events at server side before it sends back to the watcher.
`List<Integer>` `getFiltersValueList()` filters filter the events at server side before it sends back to the watcher.
`com.google.protobuf.ByteString` `getKey()` key is the key to register for watching.
`boolean` `getPrevKv()` If prev_kv is set, created watcher gets the previous KV before the event happens.
`boolean` `getProgressNotify()` progress_notify is set so that the etcd server will periodically send a WatchResponse with no events to the new watcher if there are no recent events.
`com.google.protobuf.ByteString` `getRangeEnd()` range_end is the end of the range [key, range_end) to watch.
`long` `getStartRevision()` start_revision is an optional revision to watch from (inclusive).
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`WatchCreateRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`WatchCreateRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`WatchCreateRequest.Builder` `mergeFrom(WatchCreateRequest other)`
`WatchCreateRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`WatchCreateRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`WatchCreateRequest.Builder` `setFilters(int index, WatchCreateRequest.FilterType value)` filters filter the events at server side before it sends back to the watcher.
`WatchCreateRequest.Builder` `setFiltersValue(int index, int value)` filters filter the events at server side before it sends back to the watcher.
`WatchCreateRequest.Builder` `setKey(com.google.protobuf.ByteString value)` key is the key to register for watching.
`WatchCreateRequest.Builder` `setPrevKv(boolean value)` If prev_kv is set, created watcher gets the previous KV before the event happens.
`WatchCreateRequest.Builder` `setProgressNotify(boolean value)` progress_notify is set so that the etcd server will periodically send a WatchResponse with no events to the new watcher if there are no recent events.
`WatchCreateRequest.Builder` `setRangeEnd(com.google.protobuf.ByteString value)` range_end is the end of the range [key, range_end) to watch.
`WatchCreateRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`WatchCreateRequest.Builder` `setStartRevision(long value)` start_revision is an optional revision to watch from (inclusive).
`WatchCreateRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### clear

    public WatchCreateRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### getDefaultInstanceForType

    public WatchCreateRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public WatchCreateRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public WatchCreateRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public WatchCreateRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### setField

    public WatchCreateRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### clearField

    public WatchCreateRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### clearOneof

    public WatchCreateRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### setRepeatedField

    public WatchCreateRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       int index,
                                                       Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### addRepeatedField

    public WatchCreateRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### mergeFrom

    public WatchCreateRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<WatchCreateRequest.Builder>`

#### mergeFrom

    public WatchCreateRequest.Builder mergeFrom(WatchCreateRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### mergeFrom

    public WatchCreateRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<WatchCreateRequest.Builder>`
Throws:
  `IOException`

#### getKey

    public com.google.protobuf.ByteString getKey()

     key is the key to register for watching.

`bytes key = 1;`

Specified by:
  `getKey` in interface `WatchCreateRequestOrBuilder`
Returns:
  The key.

#### setKey

    public WatchCreateRequest.Builder setKey(com.google.protobuf.ByteString value)

     key is the key to register for watching.

`bytes key = 1;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

#### clearKey

    public WatchCreateRequest.Builder clearKey()

     key is the key to register for watching.

`bytes key = 1;`

Returns:
  This builder for chaining.

#### getRangeEnd

    public com.google.protobuf.ByteString getRangeEnd()

     range_end is the end of the range [key, range_end) to watch. If range_end is not given,
     only the key argument is watched. If range_end is equal to '\0', all keys greater than
     or equal to the key argument are watched.
     If the range_end is one bit larger than the given key,
     then all keys with the prefix (the given key) will be watched.

`bytes range_end = 2;`

Specified by:
  `getRangeEnd` in interface `WatchCreateRequestOrBuilder`
Returns:
  The rangeEnd.

#### setRangeEnd

    public WatchCreateRequest.Builder setRangeEnd(com.google.protobuf.ByteString value)

     range_end is the end of the range [key, range_end) to watch. If range_end is not given,
     only the key argument is watched. If range_end is equal to '\0', all keys greater than
     or equal to the key argument are watched.
     If the range_end is one bit larger than the given key,
     then all keys with the prefix (the given key) will be watched.

`bytes range_end = 2;`

Parameters:
  `value` - The rangeEnd to set.
Returns:
  This builder for chaining.

#### clearRangeEnd

    public WatchCreateRequest.Builder clearRangeEnd()

     range_end is the end of the range [key, range_end) to watch. If range_end is not given,
     only the key argument is watched. If range_end is equal to '\0', all keys greater than
     or equal to the key argument are watched.
     If the range_end is one bit larger than the given key,
     then all keys with the prefix (the given key) will be watched.

`bytes range_end = 2;`

Returns:
  This builder for chaining.

#### getStartRevision

    public long getStartRevision()

     start_revision is an optional revision to watch from (inclusive). No start_revision is "now".

`int64 start_revision = 3;`

Specified by:
  `getStartRevision` in interface `WatchCreateRequestOrBuilder`
Returns:
  The startRevision.

#### setStartRevision

    public WatchCreateRequest.Builder setStartRevision(long value)

     start_revision is an optional revision to watch from (inclusive). No start_revision is "now".

`int64 start_revision = 3;`

Parameters:
  `value` - The startRevision to set.
Returns:
  This builder for chaining.

#### clearStartRevision

    public WatchCreateRequest.Builder clearStartRevision()

     start_revision is an optional revision to watch from (inclusive). No start_revision is "now".

`int64 start_revision = 3;`

Returns:
  This builder for chaining.

#### getProgressNotify

    public boolean getProgressNotify()

     progress_notify is set so that the etcd server will periodically send a WatchResponse with
     no events to the new watcher if there are no recent events. It is useful when clients
     wish to recover a disconnected watcher starting from a recent known revision.
     The etcd server may decide how often it will send notifications based on current load.

`bool progress_notify = 4;`

Specified by:
  `getProgressNotify` in interface `WatchCreateRequestOrBuilder`
Returns:
  The progressNotify.

#### setProgressNotify

    public WatchCreateRequest.Builder setProgressNotify(boolean value)

     progress_notify is set so that the etcd server will periodically send a WatchResponse with
     no events to the new watcher if there are no recent events. It is useful when clients
     wish to recover a disconnected watcher starting from a recent known revision.
     The etcd server may decide how often it will send notifications based on current load.

`bool progress_notify = 4;`

Parameters:
  `value` - The progressNotify to set.
Returns:
  This builder for chaining.

#### clearProgressNotify

    public WatchCreateRequest.Builder clearProgressNotify()

     progress_notify is set so that the etcd server will periodically send a WatchResponse with
     no events to the new watcher if there are no recent events. It is useful when clients
     wish to recover a disconnected watcher starting from a recent known revision.
     The etcd server may decide how often it will send notifications based on current load.

`bool progress_notify = 4;`

Returns:
  This builder for chaining.

#### getFiltersList

    public List<WatchCreateRequest.FilterType> getFiltersList()

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Specified by:
  `getFiltersList` in interface `WatchCreateRequestOrBuilder`
Returns:
  A list containing the filters.

#### getFiltersCount

    public int getFiltersCount()

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Specified by:
  `getFiltersCount` in interface `WatchCreateRequestOrBuilder`
Returns:
  The count of filters.

#### getFilters

    public WatchCreateRequest.FilterType getFilters(int index)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Specified by:
  `getFilters` in interface `WatchCreateRequestOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The filters at the given index.

#### setFilters

    public WatchCreateRequest.Builder setFilters(int index,
                                                 WatchCreateRequest.FilterType value)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Parameters:
  `index` - The index to set the value at.
  `value` - The filters to set.
Returns:
  This builder for chaining.

#### addFilters

    public WatchCreateRequest.Builder addFilters(WatchCreateRequest.FilterType value)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Parameters:
  `value` - The filters to add.
Returns:
  This builder for chaining.

#### addAllFilters

    public WatchCreateRequest.Builder addAllFilters(Iterable<? extends WatchCreateRequest.FilterType> values)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Parameters:
  `values` - The filters to add.
Returns:
  This builder for chaining.

#### clearFilters

    public WatchCreateRequest.Builder clearFilters()

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Returns:
  This builder for chaining.

#### getFiltersValueList

    public List<Integer> getFiltersValueList()

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Specified by:
  `getFiltersValueList` in interface `WatchCreateRequestOrBuilder`
Returns:
  A list containing the enum numeric values on the wire for filters.

#### getFiltersValue

    public int getFiltersValue(int index)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Specified by:
  `getFiltersValue` in interface `WatchCreateRequestOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of filters at the given index.

#### setFiltersValue

    public WatchCreateRequest.Builder setFiltersValue(int index,
                                                      int value)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of filters at the given index.

#### addFiltersValue

    public WatchCreateRequest.Builder addFiltersValue(int value)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Parameters:
  `value` - The enum numeric value on the wire for filters to add.
Returns:
  This builder for chaining.

#### addAllFiltersValue

    public WatchCreateRequest.Builder addAllFiltersValue(Iterable<Integer> values)

     filters filter the events at server side before it sends back to the watcher.

`repeated .etcdserverpb.WatchCreateRequest.FilterType filters = 5;`

Parameters:
  `values` - The enum numeric values on the wire for filters to add.
Returns:
  This builder for chaining.

#### getPrevKv

    public boolean getPrevKv()

     If prev_kv is set, created watcher gets the previous KV before the event happens.
     If the previous KV is already compacted, nothing will be returned.

`bool prev_kv = 6;`

Specified by:
  `getPrevKv` in interface `WatchCreateRequestOrBuilder`
Returns:
  The prevKv.

#### setPrevKv

    public WatchCreateRequest.Builder setPrevKv(boolean value)

     If prev_kv is set, created watcher gets the previous KV before the event happens.
     If the previous KV is already compacted, nothing will be returned.

`bool prev_kv = 6;`

Parameters:
  `value` - The prevKv to set.
Returns:
  This builder for chaining.

#### clearPrevKv

    public WatchCreateRequest.Builder clearPrevKv()

     If prev_kv is set, created watcher gets the previous KV before the event happens.
     If the previous KV is already compacted, nothing will be returned.

`bool prev_kv = 6;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final WatchCreateRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`

#### mergeUnknownFields

    public final WatchCreateRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchCreateRequest.Builder>`